Code repositories
Gets a page of code repositories.
Args: filter_model: Filter model used for pagination, sorting, filtering. project_name_or_id: Optional name or ID of the project. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: Page of code repository objects.
falsecreatedLogical Ops to use to combine filters on list methods.
andPossible values: 120Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/code_repositories HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"index": 1,
"max_size": 1,
"total_pages": 1,
"total": 1,
"items": [
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"source": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"logo_url": "text"
},
"metadata": {
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}
]
}Gets a specific code repository using its unique ID.
Args: code_repository_id: The ID of the code repository to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.
Returns: A specific code repository object.
trueSuccessful Response
Response model for code repositories.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
GET /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"source": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"logo_url": "text"
},
"metadata": {
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Updates a code repository.
Args: code_repository_id: The ID of the code repository to update. update: The model containing the attributes to update.
Returns: The updated code repository object.
Update model for code repositories.
Optional URL of a logo (png, jpg or svg) for the code repository.
Code repository description.
Successful Response
Response model for code repositories.
falseUnauthorized
Forbidden
Not Found
Unprocessable Entity
PUT /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 199
{
"name": "text",
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"source": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"logo_url": "text",
"description": "text"
}{
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"user_id": "123e4567-e89b-12d3-a456-426614174000",
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"source": {
"module": "text",
"attribute": "text",
"type": "user",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"logo_url": "text"
},
"metadata": {
"config": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"description": "text"
},
"resources": {
"user": {
"body": {
"created": "2026-01-01T00:00:00.000Z",
"updated": "2026-01-01T00:00:00.000Z",
"active": false,
"activation_token": "text",
"full_name": "",
"email_opted_in": true,
"is_service_account": true,
"is_admin": true,
"default_project_id": "123e4567-e89b-12d3-a456-426614174000",
"avatar_url": "text"
},
"metadata": {
"password_changed_at": "2026-01-01T00:00:00.000Z",
"email": "",
"external_user_id": "123e4567-e89b-12d3-a456-426614174000",
"user_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
},
"resources": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
},
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"id": "123e4567-e89b-12d3-a456-426614174000",
"permission_denied": false,
"name": "text"
}Deletes a specific code repository.
Args: code_repository_id: The ID of the code repository to delete.
Successful Response
Unauthorized
Forbidden
Not Found
Unprocessable Entity
DELETE /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
No content
Last updated
Was this helpful?